Skip to navigation
EndpointEndpoint connectivity status

Endpoint connectivity status

Retrieve details about current connectivity status of endpoint. The following is a list of possible statuses:

  • ATTACHED: The Endpoint has succesfully attached to the Home Core network in the past. The device will be shown as ATTACHED until the visited network has signaled that the device is inactive/offline. Usually the visited network informs the Core Network within 1-2 days after a device went offline.

  • ONLINE: The Endpoint has an active data connection

  • OFFLINE: The Endpoint has not attached to the core network yet or the device was previously attached but the visited network signaled that the device had no activity for the last 1-2 days. Note: The device is not reachable for external services (e.g. SMS, MSRN lookup).

  • BLOCKED: The device is not granted service. Endpoints are assigned this status when they have exceeded traffic limits.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Path parameters

endpoint_idintegerRequired
Numeric ID of an endpoint

Response

Success
statusobjectOptional
locationobjectOptional
pdp_contextobjectOptional
serviceslist of stringsOptional

Errors

403
Forbidden Error